=== modified file 'loggerhead/apps/branch.py'
--- loggerhead/apps/branch.py	2008-08-12 23:10:24 +0000
+++ loggerhead/apps/branch.py	2008-08-05 05:17:47 +0000
@@ -24,7 +24,7 @@
 class BranchWSGIApp(object):
 
     def __init__(self, branch, friendly_name=None, config={},
-                 graph_cache=None, branch_link=None, is_root=False):
+                 graph_cache=None, branch_link=None):
         self.branch = branch
         self._config = config
         self.friendly_name = friendly_name
@@ -33,7 +33,6 @@
         if graph_cache is None:
             graph_cache = bzrlib.lru_cache.LRUCache()
         self.graph_cache = graph_cache
-        self.is_root = is_root
 
     def get_history(self):
         _history = History(self.branch, self.graph_cache)

=== modified file 'loggerhead/apps/filesystem.py'
--- loggerhead/apps/filesystem.py	2008-08-12 23:10:24 +0000
+++ loggerhead/apps/filesystem.py	2008-08-05 05:11:33 +0000
@@ -24,13 +24,10 @@
     def app_for_branch(self, branch):
         if not self.name:
             name = branch.nick
-            is_root = True
         else:
             name = self.name
-            is_root = False
         branch_app = BranchWSGIApp(
-            branch, name, {'cachepath': sql_dir}, self.root.graph_cache,
-            is_root=is_root)
+            branch, name, {'cachepath': sql_dir}, self.root.graph_cache)
         return branch_app.app
 
     def app_for_non_branch(self, environ):

=== modified file 'loggerhead/controllers/directory_ui.py'
--- loggerhead/controllers/directory_ui.py	2008-08-07 04:39:09 +0000
+++ loggerhead/controllers/directory_ui.py	2008-08-04 21:22:16 +0000
@@ -30,12 +30,8 @@
         self.parity = parity
         self.branch = branch
         if branch is not None:
-            # If a branch is empty, bzr raises an exception when trying this
-            try:
-                self.last_change =  datetime.datetime.fromtimestamp(
-                    branch.repository.get_revision(branch.last_revision()).timestamp)
-            except:
-                self.last_change = None
+            self.last_change =  datetime.datetime.fromtimestamp(
+                branch.repository.get_revision(branch.last_revision()).timestamp)
 
 class DirectoryUI(TemplatedBranchView):
     """
@@ -70,17 +66,8 @@
                 b = None
             dirs.append(DirEntry(d, parity, b))
             parity = 1 - parity
-        # Create breadcrumb trail
-        dir_parts = self._name.strip('/').split('/')
-        breadcrumbs = []
-        for index, dir_name in enumerate(dir_parts):
-            breadcrumbs.append({
-                'dir_name': dir_name,
-                'path': '/'.join(dir_parts[:index + 1]),
-            })
         return {
             'dirs': dirs,
             'name': self._name,
             'static_url': static_url,
-            'breadcrumbs': breadcrumbs,
             }

=== modified file 'loggerhead/controllers/inventory_ui.py'
--- loggerhead/controllers/inventory_ui.py	2008-08-12 23:10:24 +0000
+++ loggerhead/controllers/inventory_ui.py	2008-07-23 21:41:49 +0000
@@ -75,36 +75,6 @@
         if updir == '/':
             updir_file_id = None
 
-        # Is our root directory itself a branch?
-        if self._branch.is_root:
-            outer_breadcrumbs = []
-            root_name = self._branch.friendly_name
-            root_suffix = 'files'
-        else:
-            # Create breadcrumb trail for the path leading up to the branch
-            outer_breadcrumbs = []
-            dir_parts = self._branch.friendly_name.strip('/').split('/')
-            for index, dir_name in enumerate(dir_parts):
-                outer_breadcrumbs.append({
-                    'dir_name': dir_name,
-                    'path': '/'.join(dir_parts[:index + 1]),
-                    'suffix': '',
-                })
-            # The branch link itself needs this or it will browse to the revision
-            # view instead of the file view
-            outer_breadcrumbs[-1]['suffix'] = '/files'
-            root_name = '(root)'
-            root_suffix = ''
-
-        # Create breadcrumb trail for the path within the branch
-        dir_parts = path.strip('/').split('/')
-        inner_breadcrumbs = []
-        for index, dir_name in enumerate(dir_parts):
-            inner_breadcrumbs.append({
-                'dir_name': dir_name,
-                'file_id': inv.path2id('/'.join(dir_parts[:index + 1])),
-            })
-
         return {
             'branch': self._branch,
             'util': util,
@@ -121,8 +91,4 @@
             'url': self._branch.context_url,
             'start_revid': start_revid,
             'fileview_active': True,
-            'outer_breadcrumbs': outer_breadcrumbs,
-            'inner_breadcrumbs': inner_breadcrumbs,
-            'root_name': root_name,
-            'root_suffix': root_suffix,
         }

=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2008-08-06 19:39:07 +0000
+++ loggerhead/history.py	2008-07-26 17:53:10 +0000
@@ -257,19 +257,13 @@
             revid = parents[0]
 
     def get_short_revision_history_by_fileid(self, file_id):
+        # wow.  is this really the only way we can get this list?  by
+        # man-handling the weave store directly? :-0
         # FIXME: would be awesome if we could get, for a folder, the list of
-        # revisions where items within that folder changed.i
-        try:
-            # FIXME: Workaround for bzr versions prior to 1.6b3. 
-            # Remove me eventually pretty please  :)
-            w = self._branch.repository.weave_store.get_weave(file_id, self._branch.repository.get_transaction())
-            w_revids = w.versions() 
-            revids = [r for r in self._full_history if r in w_revids] 
-        except AttributeError:
-            possible_keys = [(file_id, revid) for revid in self._full_history]
-            existing_keys = self._branch.repository.texts.get_parent_map(possible_keys)
-            revids = [revid for _, revid in existing_keys.iterkeys()]
-        return revids
+        # revisions where items within that folder changed.
+        possible_keys = [(file_id, revid) for revid in self._full_history]
+        existing_keys = self._branch.repository.texts.get_parent_map(possible_keys)
+        return [revid for _, revid in existing_keys.iterkeys()]
 
     def get_revision_history_since(self, revid_list, date):
         # if a user asks for revisions starting at 01-sep, they mean inclusive,

=== modified file 'loggerhead/static/css/global.css'
--- loggerhead/static/css/global.css	2008-08-07 18:31:48 +0000
+++ loggerhead/static/css/global.css	2008-08-05 06:17:12 +0000
@@ -318,14 +318,4 @@
 }
 #pages a:hover {
 	border:solid 1px #666666;
-}
-.breadcrumb a {
-	color:#889ea9;
-	font-weight:bold;
-	font-size:18px;
-}
-.breadcrumb a:hover{
-	color:#666;
-	font-weight:bold;
-	font-size:18px;
-}
+}		

=== modified file 'loggerhead/templates/directory.pt'
--- loggerhead/templates/directory.pt	2008-08-10 02:56:11 +0000
+++ loggerhead/templates/directory.pt	2008-08-05 06:12:07 +0000
@@ -7,10 +7,8 @@
   </head>
   <body>
     <div id="loggerheadCont">
-      <h1>
-        Browsing
-        <!-- This is all one one line to get the spacing right -->
-        <span class="breadcrumb"><a href="/">(root)</a></span><span tal:repeat="crumb breadcrumbs" class="breadcrumb">/<a tal:attributes="href string:/${crumb/path}" tal:content="crumb/dir_name" /></span>
+      <h1 tal:content="string:Browsing ${name}">
+        Hi.
       </h1>
 
       <div >

=== modified file 'loggerhead/templates/inventory.pt'
--- loggerhead/templates/inventory.pt	2008-08-10 03:47:18 +0000
+++ loggerhead/templates/inventory.pt	2008-08-06 04:20:07 +0000
@@ -17,14 +17,11 @@
           nice/branch/name
         </a>
       </tal:has-link>
-      <span tal:condition="not: branch/branch_link">
-        <!-- This is all one one line to get the spacing right -->
-        <span class="breadcrumb"><a tal:attributes="href string:/${root_suffix}" tal:content="root_name" /></span><span tal:repeat="crumb outer_breadcrumbs" class="breadcrumb">/<a tal:attributes="href string:/${crumb/path}${crumb/suffix}" tal:content="crumb/dir_name" /></span>
-      </span>
+      <tal:no-link condition="not: branch/branch_link">
+        <tal:branch-name replace="branch/friendly_name" />
+      </tal:no-link>
       : viewing
-      <!-- This is all one one line to get the spacing right -->
-      <span tal:repeat="crumb inner_breadcrumbs" class="breadcrumb">/<a tal:attributes="href python:url(['/files', change.revno], file_id=crumb['file_id'])" tal:content="crumb/dir_name" /></span>
-      for revision <span tal:content="change/revno"/>
+      <span tal:content="path" /> for revision <span tal:content="change/revno"/>
     </h1>
 
     <div metal:fill-slot="content">

=== modified file 'loggerhead/util.py'
--- loggerhead/util.py	2008-08-06 21:25:24 +0000
+++ loggerhead/util.py	2008-07-26 17:53:10 +0000
@@ -59,10 +59,7 @@
 
 
 def date_time(value):
-    if value is not None:
-        return value.strftime('%Y-%m-%d %T')
-    else:
-        return 'N/A'
+    return value.strftime('%Y-%m-%d %T')
 
 
 def _displaydate(date):

=== modified file 'start-loggerhead'
--- start-loggerhead	2008-08-06 19:38:14 +0000
+++ start-loggerhead	2008-08-06 19:20:22 +0000
@@ -29,7 +29,7 @@
 from paste.httpexceptions import make_middleware
 from paste.translogger import make_filter
 
-from loggerhead import daemon
+from loggerhead import daemon, release
 from loggerhead.apps.config import Root
 
 
@@ -79,7 +79,7 @@
     default_pidfile = os.path.join(home, 'loggerhead.pid')
     default_configfile = os.path.join(home, 'loggerhead.conf')
     default_log_folder = os.path.join(home, 'logs')
-    parser = OptionParser(usage='usage: %prog [options]', version='%prog')
+    parser = OptionParser(usage='usage: %prog [options]', version='%prog ' + release.version)
     parser.add_option('-f', '--foreground', action='store_true', dest='foreground', default=False,
                       help="run in the foreground; don't daemonize")
     parser.add_option('-C', '--check', action='store_true', dest='check', default=False,

=== modified file 'stop-loggerhead'
--- stop-loggerhead	2008-08-06 19:38:14 +0000
+++ stop-loggerhead	2008-08-06 18:39:15 +0000
@@ -19,9 +19,11 @@
 import sys
 from optparse import OptionParser
 
+from loggerhead import release
+
 home = os.path.realpath(os.path.dirname(__file__))
 default_pidfile = os.path.join(home, 'loggerhead.pid')
-parser = OptionParser(usage='usage: %prog [options]', version='%prog')
+parser = OptionParser(usage='usage: %prog [options]', version='%prog ' + release.version)
 parser.add_option('-p', '--pidfile', dest="pidfile", default=default_pidfile,
 				  help="override pidfile location")
 

